image: node:12.14.1

pages:
  before_script:
    - apt-get update -y
    - apt-get --assume-yes install software-properties-common
    - apt-get --assume-yes -y install gawk
    - apt-get install -f
  script:
    - npm ci
    - npm run docs
    - cd website
    - npm ci
    - npm run build
    # The build directory is created based on the value set for projectName in
    # website/siteConfig.js. If you change it there, you need to change it here
    # as well.
    - mv ./build ../public
  artifacts:
    paths:
      - public
  only:
    - test-ci
    - master
